package org.netbeans.lib.cvsclient.io;

import java.io.*;

/**
 * @author Thomas Singer
 */
public interface IStreamLogger {

	OutputStream createLoggingOutputStream(OutputStream outputStream);

	InputStream createLoggingInputStream(InputStream inputStream);

	OutputStream getInputLogStream();

	OutputStream getOutputLogStream();
}
